Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 02 Oct 2014, 06:56
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
Upup Precise 3.8.3.1 created by using up-to-date Woof
Moderators: Flash, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 2 of 12 Posts_count   Goto page: Previous 1, 2, 3, 4, ..., 10, 11, 12 Next
Author Message
musher0


Joined: 04 Jan 2009
Posts: 4245
Location: Gatineau (Qc), Canada

PostPosted: Tue 12 Mar 2013, 23:45    Post_subject:  

Hello, pemasu.

Iron refuses to load : system says it's a library because it's in /usr/lib/iron-linux, even if big executable there is given permission to execute.

Opera in /mnt/home/opera flashes on screen, but doesn't stay. Unusable.

Seamonkey ok.

Sound ok.

Symlink from /usr/share/X11/rgb.txt to /root/.rgb.txt, required by gcolor2, is missing, as in most Puppys. (I'm not counting the years I've been saying this anymore...)

BFN.

_________________
"Logical entities must not be multiplied needlessly." / "Il ne faut pas multiplier les êtres logiques inutilement." (Ockham)
Back to top
View user's profile Send_private_message Visit_website 
Billtoo


Joined: 07 Apr 2009
Posts: 2117
Location: Ontario Canada

PostPosted: Wed 13 Mar 2013, 00:03    Post_subject:  

musher0 wrote:

Opera in /mnt/home/opera flashes on screen, but doesn't stay. Unusable.
Seamonkey ok.


Google-Chrome works if you install pemasu's fix after installing Chrome.
browser.jpg
 Description   
 Filesize   45.47 KB
 Viewed   1135 Time(s)

browser.jpg

google-chrome-fix-for-deb-install-0.0.1.pet
Description 
pet

 Download 
Filename  google-chrome-fix-for-deb-install-0.0.1.pet 
Filesize  1.82 KB 
Downloaded  302 Time(s) 
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Wed 13 Mar 2013, 01:48    Post_subject:  

Quick post before going to work.
Billtoo. That fix has been adopted to the woof and it is already in the Upup Precise.
I tested it with http://www.chromium.org/ without installing that fix pet.
Chromium nowadays uses same filenames and location as google-chrome.

The .deb after installation met the fix automatically and it launched without any need to do root fixes.
So it works oob. Google-chrome fix is in place already.
There is cache limit 10 Mb for those browsers also.

/usr/local/petget/hacks-postinstall.sh

Code:
google-chrome-*) #130221 pemasu. 130224 pemasu: limit cache size...
bla... bla...
Back to top
View user's profile Send_private_message 
Gnuxo

Joined: 09 Feb 2012
Posts: 365

PostPosted: Wed 13 Mar 2013, 02:17    Post_subject:  

Hi,

Long time no see. Very Happy

I ported over Qupzilla 1.4.0

I've been unable to upload the .pet to the forums so I just shoved it over on a storage site.


[url]https://mega.co.nz/#!q5hQBQZK!FleMGygwmDR2lGI7kz9MOlwwgLJ7ShqiJv17-LPHBfk[/url]

I installed it on Upup and it works awesome.
Back to top
View user's profile Send_private_message 
Billtoo


Joined: 07 Apr 2009
Posts: 2117
Location: Ontario Canada

PostPosted: Wed 13 Mar 2013, 02:39    Post_subject: Upup Precise 3.8.2 created by using up-to-date Woof
Sub_title: f2fs
 

I installed 01micko's gparted-0.14.1-i686_F2FS-precise.pet and used it
to prepare a 16gb SDHC card then installed a remaster of upup3.8.2 to
the card.
It worked fine.
@pemasu
I didn't know about the Google-Chrome fix already being in 382, sorry.
screenshot2.jpg
 Description   
 Filesize   19.13 KB
 Viewed   1066 Time(s)

screenshot2.jpg

screenshot1.jpg
 Description   
 Filesize   28.46 KB
 Viewed   1091 Time(s)

screenshot1.jpg

Back to top
View user's profile Send_private_message 
peebee


Joined: 21 Sep 2008
Posts: 1434
Location: Malvern, Worcs, UK

PostPosted: Wed 13 Mar 2013, 05:11    Post_subject:  

Hi pemasu

Just to report that all the below tested and working as far as I can see:

Broadcom wl driver (see question below)
Frisbee
YASSM to a Samba 4 server on Slacko5.5
Chromium 25

devx successfully loaded into ram** using sfs-load-on-the-fly (this doesn't work for either Precise 5.4.93 k3.8.0 or PhatSlacko5.5 k3.8.2 with or without the adrv where the system crashes if devx is loaded into ram)
** i.e. pristine frugal install with no savefile

My question on wl driver (many thanks for including BTW) - did you get this warning on compile? If not have you patched the source?
Code:
  MODPOST 1 modules
WARNING: modpost: Found 1 section mismatch(es).
To see full details build your kernel with:
'make CONFIG_DEBUG_SECTION_MISMATCH=y'

I get this warning when compiling on all k3.8 pups.

Congrats & many thanks
Cheers
peebee

_________________
LxPup-14.03 = Puppy + LXDE

Edited_time_total
Back to top
View user's profile Send_private_message 
01micko


Joined: 11 Oct 2008
Posts: 7805
Location: qld

PostPosted: Wed 13 Mar 2013, 05:38    Post_subject: Re: Upup Precise 3.8.2 created by using up-to-date Woof
Sub_title: f2fs
 

Billtoo wrote:
I installed 01micko's gparted-0.14.1-i686_F2FS-precise.pet and used it
to prepare a 16gb SDHC card then installed a remaster of upup3.8.2 to
the card.
It worked fine.

I think pemasu had it (gparted-14.1) in but it didn't take, may have forgot to rebuild the package in 2createpackages. Can happen when in a bit of a rush Wink

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send_private_message Visit_website 
Ray MK


Joined: 05 Feb 2008
Posts: 765
Location: UK

PostPosted: Wed 13 Mar 2013, 07:41    Post_subject:  

Upup Precise version 3.8.2, released Mar 2013

# free
total used free shared buffers
Mem: 1804776 528260 1276516 0 60624
-/+ buffers: 467636 1337140
Swap: 0 0 0
#
# top
Mem: 529000K used, 1275776K free, 0K shrd, 60624K buff, 401316K cached
CPU: 0% usr 0% sys 0% nic 99% idle 0% io 0% irq 0% sirq
Load average: 0.14 0.15 0.08 2/95 23267

# uname -a
Linux puppypc9233 3.8.2-upup #1 SMP Wed Mar 13 01:01:13 GMT-8 2013 i686 i686 i386 GNU/Linux
#
This is fantastic - insanely fast and zero resource usage - amazing.
hardinfo_report.html.gz
Description  not a gz. rename to html
gz

 Download 
Filename  hardinfo_report.html.gz 
Filesize  42.68 KB 
Downloaded  267 Time(s) 

_________________
Asus 701SD. 2gig ram. 8gb SSD. IBM A21m laptop. 192mb ram. PIII Coppermine proc. X60 T2400 1.8Ghz proc. 2gig ram. 80gb hdd. T41 Pentium M 1400Mhz. 512mb ram.
Back to top
View user's profile Send_private_message 
Billtoo


Joined: 07 Apr 2009
Posts: 2117
Location: Ontario Canada

PostPosted: Wed 13 Mar 2013, 08:57    Post_subject: Re: Upup Precise 3.8.2 created by using up-to-date Woof
Sub_title: f2fs
 

01micko wrote:
Billtoo wrote:
I installed 01micko's gparted-0.14.1-i686_F2FS-precise.pet and used it
to prepare a 16gb SDHC card then installed a remaster of upup3.8.2 to
the card.
It worked fine.

I think pemasu had it (gparted-14.1) in but it didn't take, may have forgot to rebuild the package in 2createpackages. Can happen when in a bit of a rush Wink


I think he may have, I assumed it wasn't and installed the pet.
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Wed 13 Mar 2013, 09:43    Post_subject:  

Lol Billtoo. I did include Gparted-0.14.1, the 01mickos patched one...and I did remember to check that 2createpackages processed the right one.
Very Happy
Peebee. I have used the same patched source all the time. I just do: make clean and then: make and then I grap the compiled module and place it to the kernel package. I didnt have need to apply any new patches. I use the patches I got from you eons ago.
I didnt check the error messages. When I have time....I will recompile it and check.

Quote:
MODPOST 1 modules
WARNING: modpost: missing MODULE_LICENSE() in /initrd/mnt/dev_save/compile/wl/wl.o
see include/linux/module.h for more information
WARNING: modpost: Found 1 section mismatch(es).


Heh. It just warns of missing license file. Nothing to be concerned of. This message appears when you use wl.ko module also to the dmesg kernel messages. Forget it.

To be sure...I checked my kernel compile log. No mismatches in kernel. So...forget that error message.

Edited_times_total
Back to top
View user's profile Send_private_message 
musher0


Joined: 04 Jan 2009
Posts: 4245
Location: Gatineau (Qc), Canada

PostPosted: Wed 13 Mar 2013, 09:55    Post_subject:  

Latest French localization (March 2013; menu and programs) by esmourguit works fine in this upup.
_________________
"Logical entities must not be multiplied needlessly." / "Il ne faut pas multiplier les êtres logiques inutilement." (Ockham)
Back to top
View user's profile Send_private_message Visit_website 
musher0


Joined: 04 Jan 2009
Posts: 4245
Location: Gatineau (Qc), Canada

PostPosted: Wed 13 Mar 2013, 10:28    Post_subject:  

Mount icon at top left just takes space, since same function exists multiple times on disk icons at bottom of screen.
_________________
"Logical entities must not be multiplied needlessly." / "Il ne faut pas multiplier les êtres logiques inutilement." (Ockham)
Back to top
View user's profile Send_private_message Visit_website 
Billtoo


Joined: 07 Apr 2009
Posts: 2117
Location: Ontario Canada

PostPosted: Wed 13 Mar 2013, 12:56    Post_subject: Upup Precise 3.8.2 created by using up-to-date Woof
Sub_title: flash drive install f2fs
 

I prepared a 4gb flash drive and installed Upup-3.8.2, running on an
HP desktop pc.
video-info-glx 1.5.2 Wed13Mar 2013 on Upup Precise 3.8.2 Linux 3.8.2-upup i686
2.0 VGA compatible controller: Intel Corporation 82G33/G31 Express Integrated
Graphics Controller (rev 02)
oem: Intel(r)Q33/Q35/G33 Graphics Chip Accelerated VGA BIOS
product: Intel(r)Q33/Q35/G33 Graphics Controller Hardware Version 0.0
X Server: Xorg Driver: intel
X.Org version: 1.11.3
dimensions: 1440x900 pixels (380x238 millimeters)
depth of root window: 24 planes
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.4
OpenGL vendor string: Tungsten Graphics, Inc
OpenGL renderer string: Mesa DRI Intel(R) G33 x86/MMX/SSE2
OpenGL version string: 1.4 Mesa 8.0.4
Intel(R) Core(TM)2 Duo CPU E4500 @ 2.20GHz
Core 0: @1200 1: @1200 MHz
I installed vlc-2.0.5 in ppm,also the newest Google-Chrome.

It's working well.
screenshot1.jpg
 Description   
 Filesize   18.95 KB
 Viewed   849 Time(s)

screenshot1.jpg

screenshot2.jpg
 Description   
 Filesize   42.6 KB
 Viewed   878 Time(s)

screenshot2.jpg

Back to top
View user's profile Send_private_message 
peebee


Joined: 21 Sep 2008
Posts: 1434
Location: Malvern, Worcs, UK

PostPosted: Wed 13 Mar 2013, 13:23    Post_subject:  

pemasu wrote:
Peebee. I have used the same patched source all the time. I just do: make clean and then: make and then I grap the compiled module and place it to the kernel package. I didnt have need to apply any new patches. I use the patches I got from you eons ago.

Heh. It just warns of missing license file. Nothing to be concerned of. This message appears when you use wl.ko module also to the dmesg kernel messages. Forget it.

To be sure...I checked my kernel compile log. No mismatches in kernel. So...forget that error message.


Many thanks Pemasu for checking for me - each time the kernel moves up a version there is the chance that new patches will be needed so it is good to know that the new warning messages coming with 3.8 are not of concern.

Cheers
peebee

_________________
LxPup-14.03 = Puppy + LXDE
Back to top
View user's profile Send_private_message 
starhawk

Joined: 22 Nov 2010
Posts: 2879
Location: Everybody knows this is nowhere...

PostPosted: Wed 13 Mar 2013, 14:37    Post_subject:  

Running nicely (given specs) on my little Commell board...

Commell LE-370Z motherboard
Integrated 600MHz Celeron M ULV
1gb RAM
PNY Verto FX5500 graphics card (nouveau driver)
Rosewill RNX-EasyN1 USB Wireless Adapter (rt2800usb / rt2800sta)
CD-R/RW / DVD-ROM ("Combo") drive, of the slimline laptop variety

I've also got an Intel MiniPCI card in this thing, but I've only got one antenna on it right now so it can't find its own rear (let alone a network!) ...w/e the Rosewill card is performing remarkably well...

Ignoring the bootup time (primarily because this board only goes up to DDR1 PC2100 [266MHz] RAM speeds), this is one snappy Puppy on my hardware! It's slightly faster than Slacko 5.5 in launching applications, and it's phenomenally responsive with them once they've launched.

I am disappointed in the lack of a firstrun connect/gethelp/etc box after the personalize-settings thing does its stuff, but I can live with that. A more concerning issue is that, upon first connection to the Internet, there's no check for a firewall -- users have to find that manually (most of them won't, if they've just come from Windblows... Wink )

Only severe "problems" really are a lack of permanent storage on my end and speakers that click and buzz when the mouse moves. Both are issues that cannot be addressed by software.

I like! 9/10 so far.

EDIT: streaming media slows things down a goodly bit -- but that's not surprising, either. Score remains 9/10.

_________________
Loving X-Slacko 2.1!
Custom Build: HP MOCA-AR + Core2Duo T7200 + 4gb RAM + 256gb SSD
...just needs a pretty case Wink
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 2 of 12 Posts_count   Goto page: Previous 1, 2, 3, 4, ..., 10, 11, 12 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0976s ][ Queries: 13 (0.0065s) ][ GZIP on ]